[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSource.State

State of the dataset

## Declaration

Source position: db.pas line 1930

`public property TDataSource.State : TDataSetState read FState;`

## Description

State contains the State of the dataset it is connected to, or dsInactive if the dataset property is not set or the datasource is not enabled. Components connected to a dataset through a datasource property should always check TDatasource.State instead of checking TDataset.State directly, to take into account the effect of the Enabled property.

## See also

TDataset.State |  | Current operational state of the dataset
TDatasource.Enabled |  | Enable or disable sending of events